diff --git a/wwjcloud/src/common/member/services/core/CoreMemberLevelService.ts b/wwjcloud/src/common/member/services/core/CoreMemberLevelService.ts
index 5c0ac05..785f090 100644
--- a/wwjcloud/src/common/member/services/core/CoreMemberLevelService.ts
+++ b/wwjcloud/src/common/member/services/core/CoreMemberLevelService.ts
@@ -1,17 +1,14 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository } from 'typeorm';
-import { BaseService } from '@wwjCore/base/BaseService';
 import { MemberLevel } from '../../entities/MemberLevel';
 
 @Injectable()
-export class CoreMemberLevelService extends BaseService<MemberLevel> {
+export class CoreMemberLevelService {
   constructor(
     @InjectRepository(MemberLevel)
     private memberLevelRepository: Repository<MemberLevel>,
-  ) {
-    super(memberLevelRepository);
-  }
+  ) {}
 
   /**
    * 获取会员等级列表
@@ -24,7 +21,7 @@ export class CoreMemberLevelService extends BaseService<MemberLevel> {
       where,
       skip: (page - 1) * limit,
       take: limit,
-      order: { upgrade_point: 'ASC' },
+      order: { growth: 'ASC' },
     });
   }
 
@@ -37,19 +34,46 @@ export class CoreMemberLevelService extends BaseService<MemberLevel> {
     });
   }
 
+  /**
+   * 创建等级
+   */
+  async create(dto: any) {
+    const level = this.memberLevelRepository.create(dto);
+    return await this.memberLevelRepository.save(level);
+  }
+
+  /**
+   * 更新等级
+   */
+  async update(level_id: number, dto: any) {
+    const result = await this.memberLevelRepository.update(
+      { level_id },
+      dto
+    );
+    return (result.affected || 0) > 0;
+  }
+
+  /**
+   * 删除等级
+   */
+  async delete(level_id: number) {
+    const result = await this.memberLevelRepository.delete({ level_id });
+    return (result.affected || 0) > 0;
+  }
+
   /**
    * 设置默认等级
    */
   async setDefault(level_id: number) {
     // 先取消其他等级的默认状态
     await this.memberLevelRepository.update(
-      { sort: 0 },
-      { sort: 1 }
+      { level_id: level_id },
+      { status: 1 }
     );
     
     // 设置当前等级为默认
-    const result = await this.memberLevelRepository.update(level_id, {
-      sort: 0,
+    const result = await this.memberLevelRepository.update({ level_id }, {
+      status: 1,
     });
     
     return (result.affected || 0) > 0;
diff --git a/wwjcloud/src/common/member/services/core/CoreMemberService.ts b/wwjcloud/src/common/member/services/core/CoreMemberService.ts
index b93de35..88defbd 100644
--- a/wwjcloud/src/common/member/services/core/CoreMemberService.ts
+++ b/wwjcloud/src/common/member/services/core/CoreMemberService.ts
@@ -1,21 +1,18 @@
 import { Injectable, NotFoundException } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository, Not, Between } from 'typeorm';
-import { BaseService } from '@wwjCore/base/BaseService';
 import { Member } from '../../entities/Member';
 import { MemberLevel } from '../../entities/MemberLevel';
 import * as bcrypt from 'bcrypt';
 
 @Injectable()
-export class CoreMemberService extends BaseService<Member> {
+export class CoreMemberService {
   constructor(
     @InjectRepository(Member)
     private memberRepository: Repository<Member>,
     @InjectRepository(MemberLevel)
     private memberLevelRepository: Repository<MemberLevel>,
-  ) {
-    super(memberRepository);
-  }
+  ) {}
 
   /**
    * 创建会员
@@ -52,21 +49,28 @@ export class CoreMemberService extends BaseService<Member> {
    * 根据ID获取会员
    */
   async getMemberById(memberId: number): Promise<Member | null> {
-    return await this.findOne(memberId);
+    return await this.memberRepository.findOne({
+      where: { member_id: memberId, is_del: 0 },
+    });
   }
 
   /**
    * 删除会员
    */
   async deleteMember(memberId: number): Promise<void> {
-    await this.delete(memberId);
+    await this.memberRepository.update(
+      { member_id: memberId },
+      { is_del: 1, update_time: Math.floor(Date.now() / 1000) },
+    );
   }
 
   /**
    * 根据ID查找会员
    */
   async findById(memberId: number): Promise<Member> {
-    const member = await this.findOne(memberId);
+    const member = await this.memberRepository.findOne({
+      where: { member_id: memberId, is_del: 0 },
+    });
 
     if (!member) {
       throw new NotFoundException('会员不存在');
@@ -79,14 +83,18 @@ export class CoreMemberService extends BaseService<Member> {
    * 根据用户名查找会员
    */
   async findByUsername(username: string): Promise<Member | null> {
-    return await this.findOneBy({ username });
+    return await this.memberRepository.findOne({
+      where: { username, is_del: 0 },
+    });
   }
 
   /**
    * 根据手机号查找会员
    */
   async findByMobile(mobile: string): Promise<Member | null> {
-    return await this.findOneBy({ mobile });
+    return await this.memberRepository.findOne({
+      where: { mobile, is_del: 0 },
+    });
   }
 
   /**
@@ -127,7 +135,10 @@ export class CoreMemberService extends BaseService<Member> {
     delete updateDto.site_id;
     delete updateDto.register_time;
 
-    await this.update(memberId, updateDto);
+    await this.memberRepository.update(
+      { member_id: memberId },
+      { ...updateDto, update_time: Math.floor(Date.now() / 1000) },
+    );
   }
 
   /**
diff --git a/wwjcloud/src/common/niucloud/controllers/adminapi/CloudController.ts b/wwjcloud/src/common/niucloud/controllers/adminapi/CloudController.ts
index 442a8cf..0d27779 100644
--- a/wwjcloud/src/common/niucloud/controllers/adminapi/CloudController.ts
+++ b/wwjcloud/src/common/niucloud/controllers/adminapi/CloudController.ts
@@ -16,35 +16,30 @@ export class CloudController {
   @Post('build')
   @ApiOperation({ summary: '云编译' })
   async build(@Body() body: CloudBuildDto) {
-    const data = await this.service.build(body);
-    return { code: 200, message: '编译成功', data };
+    return await this.service.build(body);
   }
 
   @Get('buildLog')
   @ApiOperation({ summary: '获取云编译日志' })
   async getBuildLog(@Query() query: CloudLogDto) {
-    const data = await this.service.getBuildLog(query);
-    return { code: 200, message: '获取成功', data };
+    return await this.service.getBuildLog(query);
   }
 
   @Get('buildTask')
   @ApiOperation({ summary: '获取云编译任务' })
   async getBuildTask() {
-    const data = await this.service.getBuildTask();
-    return { code: 200, message: '获取成功', data };
+    return await this.service.getBuildTask();
   }
 
   @Post('cancelBuild')
   @ApiOperation({ summary: '取消云编译' })
   async cancelBuild() {
-    const data = await this.service.cancelBuild();
-    return { code: 200, message: '取消成功', data };
+    return await this.service.cancelBuild();
   }
 
   @Get('buildStatus')
   @ApiOperation({ summary: '获取编译状态' })
   async getBuildStatus() {
-    const data = await this.service.getBuildStatus();
-    return { code: 200, message: '获取成功', data };
+    return await this.service.getBuildStatus();
   }
 }
diff --git a/wwjcloud/src/common/niucloud/controllers/adminapi/ModuleController.ts b/wwjcloud/src/common/niucloud/controllers/adminapi/ModuleController.ts
index 87c7f94..604864b 100644
--- a/wwjcloud/src/common/niucloud/controllers/adminapi/ModuleController.ts
+++ b/wwjcloud/src/common/niucloud/controllers/adminapi/ModuleController.ts
@@ -16,62 +16,54 @@ export class ModuleController {
   @Get('page')
   @ApiOperation({ summary: '模块分页' })
   async page(@Query() query: ModuleQueryDto) {
-    const data = await this.service.getPage(query);
-    return { code: 200, message: '获取成功', data };
+    return await this.service.getPage(query);
   }
 
   @Get(':id')
   @ApiOperation({ summary: '模块详情' })
   @ApiParam({ name: 'id', description: '模块ID' })
   async info(@Param('id', ParseIntPipe) id: number) {
-    const data = await this.service.getInfo(id);
-    return { code: 200, message: '获取成功', data };
+    return await this.service.getInfo(id);
   }
 
   @Post()
   @ApiOperation({ summary: '新增模块' })
   async add(@Body() body: CreateModuleDto) {
-    const data = await this.service.add(body);
-    return { code: 200, message: '创建成功', data };
+    return await this.service.add(body);
   }
 
   @Put(':id')
   @ApiOperation({ summary: '编辑模块' })
   @ApiParam({ name: 'id', description: '模块ID' })
   async edit(@Param('id', ParseIntPipe) id: number, @Body() body: UpdateModuleDto) {
-    const data = await this.service.edit(id, body);
-    return { code: 200, message: '更新成功', data };
+    return await this.service.edit(id, body);
   }
 
   @Delete(':id')
   @ApiOperation({ summary: '删除模块' })
   @ApiParam({ name: 'id', description: '模块ID' })
   async delete(@Param('id', ParseIntPipe) id: number) {
-    const data = await this.service.delete(id);
-    return { code: 200, message: '删除成功', data };
+    return await this.service.delete(id);
   }
 
   @Post(':id/install')
   @ApiOperation({ summary: '安装模块' })
   @ApiParam({ name: 'id', description: '模块ID' })
   async install(@Param('id', ParseIntPipe) id: number) {
-    const data = await this.service.install(id);
-    return { code: 200, message: '安装成功', data };
+    return await this.service.install(id);
   }
 
   @Post(':id/uninstall')
   @ApiOperation({ summary: '卸载模块' })
   @ApiParam({ name: 'id', description: '模块ID' })
   async uninstall(@Param('id', ParseIntPipe) id: number) {
-    const data = await this.service.uninstall(id);
-    return { code: 200, message: '卸载成功', data };
+    return await this.service.uninstall(id);
   }
 
   @Post(':id/upgrade')
   @ApiOperation({ summary: '升级模块' })
   @ApiParam({ name: 'id', description: '模块ID' })
   async upgrade(@Param('id', ParseIntPipe) id: number) {
-    const data = await this.service.upgrade(id);
-    return { code: 200, message: '升级成功', data };
+    return await this.service.upgrade(id);
   }
 }
diff --git a/wwjcloud/src/common/niucloud/niucloud.module.ts b/wwjcloud/src/common/niucloud/niucloud.module.ts
index 3c357ca..a12f26e 100644
--- a/wwjcloud/src/common/niucloud/niucloud.module.ts
+++ b/wwjcloud/src/common/niucloud/niucloud.module.ts
@@ -1,4 +1,7 @@
 import { Module } from '@nestjs/common';
+import { TypeOrmModule } from '@nestjs/typeorm';
+import { Cloud } from './entities/Cloud';
+import { Module as NiucloudModuleEntity } from './entities/Module';
 import { CloudController } from './controllers/adminapi/CloudController';
 import { ModuleController } from './controllers/adminapi/ModuleController';
 import { CloudService } from './services/admin/CloudService';
@@ -7,6 +10,7 @@ import { CoreCloudService } from './services/core/CoreCloudService';
 import { CoreModuleService } from './services/core/CoreModuleService';
 
 @Module({
+  imports: [TypeOrmModule.forFeature([Cloud, NiucloudModuleEntity])],
   controllers: [CloudController, ModuleController],
   providers: [CloudService, ModuleService, CoreCloudService, CoreModuleService],
   exports: [CloudService, ModuleService, CoreCloudService, CoreModuleService],
diff --git a/wwjcloud/src/common/notice/entities/SmsLog.ts b/wwjcloud/src/common/notice/entities/SmsLog.ts
index b0c8815..76211ec 100644
--- a/wwjcloud/src/common/notice/entities/SmsLog.ts
+++ b/wwjcloud/src/common/notice/entities/SmsLog.ts
@@ -1,35 +1,46 @@
-import { Entity, PrimaryGeneratedColumn, Column } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
+import { Entity, PrimaryGeneratedColumn, Column, CreateDateColumn, UpdateDateColumn, DeleteDateColumn } from 'typeorm';
 
 @Entity('sys_notice_sms_log')
-export class SmsLog extends BaseEntity {
+export class SmsLog {
   @PrimaryGeneratedColumn()
   id: number;
 
-  @Column({ name: 'mobile', type: 'varchar', length: 11, default: '' })
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
+
+  @Column({ name: 'mobile', type: 'varchar', length: 11, default: '', comment: '手机号码' })
   mobile: string;
 
-  @Column({ name: 'sms_type', type: 'varchar', length: 32, default: '' })
+  @Column({ name: 'sms_type', type: 'varchar', length: 32, default: '', comment: '发送关键字（注册、找回密码）' })
   sms_type: string;
 
-  @Column({ name: 'key', type: 'varchar', length: 32, default: '' })
+  @Column({ name: 'key', type: 'varchar', length: 32, default: '', comment: '发送关键字（注册、找回密码）' })
   key: string;
 
-  @Column({ name: 'template_id', type: 'varchar', length: 50, default: '' })
+  @Column({ name: 'template_id', type: 'varchar', length: 50, default: '', comment: '模板ID' })
   template_id: string;
 
-  @Column({ name: 'content', type: 'text' })
+  @Column({ name: 'content', type: 'text', comment: '发送内容' })
   content: string;
 
-  @Column({ name: 'params', type: 'text' })
-  params: any;
+  @Column({ name: 'params', type: 'text', comment: '数据参数' })
+  params: string;
 
-  @Column({ name: 'status', type: 'varchar', length: 32, default: 'sending' })
+  @Column({ name: 'status', type: 'varchar', length: 32, default: 'sending', comment: '发送状态：sending-发送中；success-发送成功；fail-发送失败' })
   status: string;
 
-  @Column({ name: 'result', type: 'text', nullable: true })
+  @Column({ name: 'result', type: 'text', nullable: true, comment: '短信结果' })
   result: string;
 
-  @Column({ name: 'send_time', type: 'int', default: 0 })
+  @Column({ name: 'send_time', type: 'int', default: 0, comment: '发送时间' })
   send_time: number;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '创建时间' })
+  create_time: number;
+
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '更新时间' })
+  update_time: number;
+
+  @DeleteDateColumn({ name: 'delete_time', type: 'int', default: 0, comment: '删除时间' })
+  delete_time: number;
 }
diff --git a/wwjcloud/src/common/notice/services/core/CoreSmsService.ts b/wwjcloud/src/common/notice/services/core/CoreSmsService.ts
index 637808d..c5e849a 100644
--- a/wwjcloud/src/common/notice/services/core/CoreSmsService.ts
+++ b/wwjcloud/src/common/notice/services/core/CoreSmsService.ts
@@ -1,19 +1,16 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository } from 'typeorm';
-import { BaseService } from '@wwjCore/base/BaseService';
 import { SmsLog } from '../../entities/SmsLog';
 import { ISmsConfig, ISmsSendParams } from '../../interfaces/sms.interface';
 import { SmsStatus } from '../../enums/status.enum';
 
 @Injectable()
-export class CoreSmsService extends BaseService<SmsLog> {
+export class CoreSmsService {
   constructor(
     @InjectRepository(SmsLog)
     private readonly smsLogRepository: Repository<SmsLog>,
-  ) {
-    super(smsLogRepository);
-  }
+  ) {}
 
   /**
    * 发送短信
@@ -30,7 +27,7 @@ export class CoreSmsService extends BaseService<SmsLog> {
 
     try {
       // 创建短信日志
-      savedLog = await this.create({
+      savedLog = await this.smsLogRepository.save(this.smsLogRepository.create({
         site_id,
         mobile,
         sms_type: 'default',
@@ -39,15 +36,15 @@ export class CoreSmsService extends BaseService<SmsLog> {
         template_id,
         params: JSON.stringify(params),
         status: SmsStatus.SENDING,
-        send_time: this.getCurrentTimestamp(),
-      });
+        send_time: Math.floor(Date.now() / 1000),
+      }));
 
       // TODO: 这里应该调用实际的短信服务商API
       // 目前先模拟发送成功
       const success = true;
 
       // 更新日志状态
-      await this.update(savedLog.id, {
+      await this.smsLogRepository.update(savedLog.id, {
         status: success ? SmsStatus.SUCCESS : SmsStatus.FAILED,
         result: success ? '发送成功' : '发送失败',
       });
@@ -56,7 +53,7 @@ export class CoreSmsService extends BaseService<SmsLog> {
     } catch (error) {
       // 记录失败日志
       if (savedLog?.id) {
-        await this.update(savedLog.id, {
+        await this.smsLogRepository.update(savedLog.id, {
           status: SmsStatus.FAILED,
           result: error.message,
         });
@@ -85,6 +82,6 @@ export class CoreSmsService extends BaseService<SmsLog> {
    */
   async getSmsLogs(site_id: number, where: any = {}): Promise<SmsLog[]> {
     const query = { site_id, ...where };
-    return await this.findMany(query);
+    return await this.smsLogRepository.find({ where: query });
   }
 }
diff --git a/wwjcloud/src/common/pay/controllers/admin/PayChannelController.ts b/wwjcloud/src/common/pay/controllers/admin/PayChannelController.ts
index 1332f1e..6d9f720 100644
--- a/wwjcloud/src/common/pay/controllers/admin/PayChannelController.ts
+++ b/wwjcloud/src/common/pay/controllers/admin/PayChannelController.ts
@@ -9,6 +9,7 @@
   Query,
   UseGuards,
   Req,
+  UnauthorizedException,
 } from "@nestjs/common";
 import {
   ApiTags,
@@ -43,19 +44,19 @@ export class PayChannelController {
   constructor(private readonly payChannelService: PayChannelService) {}
 
   @Get("list")
+  @Roles('admin')
   @ApiOperation({ summary: "获取支付渠道列表" })
   @ApiResponse({ status: 200, description: "获取成功" })
   async getChannelList(@Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payChannelService.getChannelList(siteId);
-      return { code: 200, message: "获取成功", data: result };
-    } catch (error) {
-      return { code: 500, message: "获取失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    return await this.payChannelService.getChannelList(siteId);
   }
 
   @Get(":type/:channel")
+  @Roles('admin')
   @ApiOperation({ summary: "获取支付渠道配置" })
   @ApiParam({ name: "type", description: "支付方式" })
   @ApiParam({ name: "channel", description: "支付渠道" })
@@ -65,16 +66,15 @@ export class PayChannelController {
     @Param("channel") channel: string,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payChannelService.getConfig(siteId, type, channel);
-      return { code: 200, message: "获取成功", data: result };
-    } catch (error) {
-      return { code: 500, message: "获取失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    return await this.payChannelService.getConfig(siteId, type, channel);
   }
 
   @Post(":type/:channel")
+  @Roles('admin')
   @ApiOperation({ summary: "设置支付渠道配置" })
   @ApiParam({ name: "type", description: "支付方式" })
   @ApiParam({ name: "channel", description: "支付渠道" })
@@ -85,16 +85,16 @@ export class PayChannelController {
     @Body() createPayChannelDto: CreatePayChannelDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payChannelService.set(siteId, channel, type, createPayChannelDto);
-      return { code: 200, message: "设置成功", data: result };
-    } catch (error) {
-      return { code: 500, message: "设置失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    const result = await this.payChannelService.set(siteId, channel, type, createPayChannelDto);
+    return { success: true, message: '设置成功' };
   }
 
   @Put(":type/:channel")
+  @Roles('admin')
   @ApiOperation({ summary: "更新支付渠道配置" })
   @ApiParam({ name: "type", description: "支付方式" })
   @ApiParam({ name: "channel", description: "支付渠道" })
@@ -105,16 +105,16 @@ export class PayChannelController {
     @Body() updatePayChannelDto: UpdatePayChannelDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payChannelService.set(siteId, channel, type, updatePayChannelDto);
-      return { code: 200, message: "更新成功", data: result };
-    } catch (error) {
-      return { code: 500, message: "更新失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    const result = await this.payChannelService.set(siteId, channel, type, updatePayChannelDto);
+    return { success: true, message: '更新成功' };
   }
 
   @Delete(":type/:channel")
+  @Roles('admin')
   @ApiOperation({ summary: "删除支付渠道配置" })
   @ApiParam({ name: "type", description: "支付方式" })
   @ApiParam({ name: "channel", description: "支付渠道" })
@@ -124,16 +124,16 @@ export class PayChannelController {
     @Param("channel") channel: string,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payChannelService.delete(siteId, type, channel);
-      return { code: 200, message: "删除成功", data: result };
-    } catch (error) {
-      return { code: 500, message: "删除失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    const result = await this.payChannelService.delete(siteId, type, channel);
+    return { success: true, message: '删除成功' };
   }
 
   @Put(":type/:channel/status")
+  @Roles('admin')
   @ApiOperation({ summary: "更新支付渠道状态" })
   @ApiParam({ name: "type", description: "支付方式" })
   @ApiParam({ name: "channel", description: "支付渠道" })
@@ -144,12 +144,11 @@ export class PayChannelController {
     @Body() body: { status: number },
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payChannelService.updateStatus(siteId, type, channel, body.status);
-      return { code: 200, message: "更新成功", data: result };
-    } catch (error) {
-      return { code: 500, message: "更新失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    const result = await this.payChannelService.updateStatus(siteId, type, channel, body.status);
+    return { success: true, message: '更新成功' };
   }
 }
diff --git a/wwjcloud/src/common/pay/controllers/admin/PayController.ts b/wwjcloud/src/common/pay/controllers/admin/PayController.ts
index c9be403..d58c883 100644
--- a/wwjcloud/src/common/pay/controllers/admin/PayController.ts
+++ b/wwjcloud/src/common/pay/controllers/admin/PayController.ts
@@ -7,6 +7,8 @@
   Query,
   UseGuards,
   Req,
+  UnauthorizedException,
+  NotFoundException,
 } from "@nestjs/common";
 import {
   ApiTags,
@@ -42,77 +44,76 @@ export class PayController {
   constructor(private readonly payService: PayService) {}
 
   @Get("audit/page")
+  @Roles('admin')
   @ApiOperation({ summary: "获取待审核支付记录" })
   @ApiResponse({ status: 200, description: "获取成功" })
   async getAuditPage(@Query() query: PayAuditQueryDto, @Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payService.getAuditPage(siteId, query);
-      return { code: 200, message: "获取成功", data: result };
-    } catch (error) {
-      return { code: 500, message: "获取失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    return await this.payService.getAuditPage(siteId, query);
   }
 
   @Get(":id")
+  @Roles('admin')
   @ApiOperation({ summary: "获取支付详情" })
   @ApiParam({ name: "id", description: "支付ID" })
   @ApiResponse({ status: 200, description: "获取成功" })
   async getDetail(@Param("id") id: number, @Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payService.getDetail(siteId, id);
-      if (!result) {
-        return { code: 404, message: "支付记录不存在" };
-      }
-      return { code: 200, message: "获取成功", data: result };
-    } catch (error) {
-      return { code: 500, message: "获取失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    const result = await this.payService.getDetail(siteId, id);
+    if (!result) {
+      throw new NotFoundException('支付记录不存在');
+    }
+    return result;
   }
 
   @Post("pass")
+  @Roles('admin')
   @ApiOperation({ summary: "支付审核通过" })
   @ApiResponse({ status: 200, description: "审核成功" })
   async pass(@Body() payPassDto: PayPassDto, @Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payService.pass(siteId, payPassDto.outTradeNo);
-      if (!result) {
-        return { code: 404, message: "支付记录不存在" };
-      }
-      return { code: 200, message: "审核通过成功" };
-    } catch (error) {
-      return { code: 500, message: "审核失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    const result = await this.payService.pass(siteId, payPassDto.outTradeNo);
+    if (!result) {
+      throw new NotFoundException('支付记录不存在');
+    }
+    return { success: true, message: '审核通过成功' };
   }
 
   @Post("refuse")
+  @Roles('admin')
   @ApiOperation({ summary: "支付审核拒绝" })
   @ApiResponse({ status: 200, description: "审核成功" })
   async refuse(@Body() payRefuseDto: PayRefuseDto, @Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payService.refuse(siteId, payRefuseDto.outTradeNo, payRefuseDto.reason);
-      if (!result) {
-        return { code: 404, message: "支付记录不存在" };
-      }
-      return { code: 200, message: "审核拒绝成功" };
-    } catch (error) {
-      return { code: 500, message: "审核失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    const result = await this.payService.refuse(siteId, payRefuseDto.outTradeNo, payRefuseDto.reason);
+    if (!result) {
+      throw new NotFoundException('支付记录不存在');
+    }
+    return { success: true, message: '审核拒绝成功' };
   }
 
   @Get("count")
+  @Roles('admin')
   @ApiOperation({ summary: "统计支付数据" })
   @ApiResponse({ status: 200, description: "获取成功" })
   async payCount(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.payService.payCount(siteId, query);
-      return { code: 200, message: "获取成功", data: { count: result } };
-    } catch (error) {
-      return { code: 500, message: "获取失败", error: error.message };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
     }
+    const result = await this.payService.payCount(siteId, query);
+    return { count: result };
   }
 }
diff --git a/wwjcloud/src/common/pay/controllers/adminapi/PayRefundController.ts b/wwjcloud/src/common/pay/controllers/adminapi/PayRefundController.ts
index a3f2765..2035e3f 100644
--- a/wwjcloud/src/common/pay/controllers/adminapi/PayRefundController.ts
+++ b/wwjcloud/src/common/pay/controllers/adminapi/PayRefundController.ts
@@ -8,6 +8,7 @@ import {
   Query,
   UseGuards,
 } from '@nestjs/common';
+import { Roles } from '../../../auth/decorators/RolesDecorator';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
 import { RolesGuard } from '../../../auth/guards/RolesGuard';
 import { PayRefundService } from '../../services/admin/PayRefundService';
@@ -21,6 +22,7 @@ export class PayRefundController {
    * 退款列表
    */
   @Get('lists')
+  @Roles('admin')
   async lists(@Query() query: any) {
     return this.payRefundService.getPage(query);
   }
@@ -29,6 +31,7 @@ export class PayRefundController {
    * 退款信息
    */
   @Get('info/:refund_id')
+  @Roles('admin')
   async info(@Param('refund_id') refund_id: string) {
     return this.payRefundService.getInfo(parseInt(refund_id));
   }
@@ -37,6 +40,7 @@ export class PayRefundController {
    * 创建退款
    */
   @Post('create')
+  @Roles('admin')
   async create(@Body() data: {
     pay_id: number;
     refund_amount: number;
@@ -51,6 +55,7 @@ export class PayRefundController {
    * 处理退款
    */
   @Post('process/:refund_id')
+  @Roles('admin')
   async process(@Param('refund_id') refund_id: string) {
     return this.payRefundService.process(parseInt(refund_id));
   }
@@ -59,6 +64,7 @@ export class PayRefundController {
    * 取消退款
    */
   @Post('cancel/:refund_id')
+  @Roles('admin')
   async cancel(@Param('refund_id') refund_id: string) {
     return this.payRefundService.cancel(parseInt(refund_id));
   }
@@ -67,6 +73,7 @@ export class PayRefundController {
    * 获取退款状态
    */
   @Get('status/:refund_id')
+  @Roles('admin')
   async getStatus(@Param('refund_id') refund_id: string) {
     return this.payRefundService.getStatus(parseInt(refund_id));
   }
@@ -75,6 +82,7 @@ export class PayRefundController {
    * 获取退款统计
    */
   @Get('statistics')
+  @Roles('admin')
   async getStatistics(@Query() query: any) {
     return this.payRefundService.getStatistics(query);
   }
diff --git a/wwjcloud/src/common/pay/controllers/adminapi/TransferController.ts b/wwjcloud/src/common/pay/controllers/adminapi/TransferController.ts
index b1c6c88..db13d63 100644
--- a/wwjcloud/src/common/pay/controllers/adminapi/TransferController.ts
+++ b/wwjcloud/src/common/pay/controllers/adminapi/TransferController.ts
@@ -8,6 +8,7 @@ import {
   Query,
   UseGuards,
 } from '@nestjs/common';
+import { Roles } from '../../../auth/decorators/RolesDecorator';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
 import { RolesGuard } from '../../../auth/guards/RolesGuard';
 import { TransferService } from '../../services/admin/TransferService';
@@ -21,6 +22,7 @@ export class TransferController {
    * 转账列表
    */
   @Get('lists')
+  @Roles('admin')
   async lists(@Query() query: any) {
     return this.transferService.getPage(query);
   }
@@ -29,6 +31,7 @@ export class TransferController {
    * 转账信息
    */
   @Get('info/:transfer_id')
+  @Roles('admin')
   async info(@Param('transfer_id') transfer_id: string) {
     return this.transferService.getInfo(parseInt(transfer_id));
   }
@@ -37,6 +40,7 @@ export class TransferController {
    * 创建转账
    */
   @Post('create')
+  @Roles('admin')
   async create(@Body() data: {
     transfer_type: string;
     transfer_amount: number;
@@ -52,6 +56,7 @@ export class TransferController {
    * 处理转账
    */
   @Post('process/:transfer_id')
+  @Roles('admin')
   async process(@Param('transfer_id') transfer_id: string) {
     return this.transferService.process(parseInt(transfer_id));
   }
@@ -60,6 +65,7 @@ export class TransferController {
    * 取消转账
    */
   @Post('cancel/:transfer_id')
+  @Roles('admin')
   async cancel(@Param('transfer_id') transfer_id: string) {
     return this.transferService.cancel(parseInt(transfer_id));
   }
@@ -68,6 +74,7 @@ export class TransferController {
    * 获取转账状态
    */
   @Get('status/:transfer_id')
+  @Roles('admin')
   async getStatus(@Param('transfer_id') transfer_id: string) {
     return this.transferService.getStatus(parseInt(transfer_id));
   }
@@ -76,6 +83,7 @@ export class TransferController {
    * 获取转账统计
    */
   @Get('statistics')
+  @Roles('admin')
   async getStatistics(@Query() query: any) {
     return this.transferService.getStatistics(query);
   }
